org.apache.fop.render.pcl.fonts

## Enum PCLFontSegment.SegmentID

- java.lang.Object
- - java.lang.Enum<PCLFontSegment.SegmentID>
  - - org.apache.fop.render.pcl.fonts.PCLFontSegment.SegmentID

All Implemented Interfaces:
  Serializable, Comparable<PCLFontSegment.SegmentID>

Enclosing class:
  PCLFontSegment

    public static enum PCLFontSegment.SegmentID
    extends Enum<PCLFontSegment.SegmentID>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CC`
`CP`
`GT`
`IF`
`NULL`
`PA`
`XW`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getValue()`
`static PCLFontSegment.SegmentID` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PCLFontSegment.SegmentID[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CC

    public static final PCLFontSegment.SegmentID CC

#### CP

    public static final PCLFontSegment.SegmentID CP

#### GT

    public static final PCLFontSegment.SegmentID GT

#### IF

    public static final PCLFontSegment.SegmentID IF

#### PA

    public static final PCLFontSegment.SegmentID PA

#### XW

    public static final PCLFontSegment.SegmentID XW

#### NULL

    public static final PCLFontSegment.SegmentID NULL

### Method Detail

#### values

    public static PCLFontSegment.SegmentID[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PCLFontSegment.SegmentID c : PCLFontSegment.SegmentID.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PCLFontSegment.SegmentID valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getValue

    public int getValue()